Skip to main content
POST
/
v2
/
hashdit
/
domain-security
curl --request POST \ --url https://service.hashdit.io/v2/hashdit/domain-security \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <x-api-key>' \ --data ' { "url": "https://binance.com/" } '
{ "code": "0", "status": "ok", "data": { "request_id": "85cb060e-75cf-4d75-887f-c23f2fc45106", "has_result": true, "polling_interval": 0, "risk_level": 0, "risk_detail": [ { "name": "is_in_wlist", "value": "The dApp is relatively safe based on the threat intelligence." } ] } }
The Domain Security endpoint does not require a chain ID as it analyzes domains and URLs rather than blockchain addresses.

Headers

X-API-KEY
string
required

Your HashDit API key

Body

application/json

Domain or URL to analyze

url
string
required

The full domain or URL to be analyzed.

Example:

"https://binance.com/"

Response

Successful response

code
string

API status code. "0" indicates success.

Example:

"0"

status
string

Request status (ok or error).

Example:

"ok"

data
object